.\"	$NetBSD: irdaattach.8,v 1.5 2003/02/25 10:36:10 wiz Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 4, 2001
.Dt IRDAATTACH 8
.Os
.Sh NAME
.Nm irdaattach
.Nd attach serial lines to IrDA frame driver
.Sh SYNOPSIS
.Nm
.Op Fl d Ar dongle
.Op Fl fHhlmnp
.Ar ttyname
.Sh DESCRIPTION
.Nm
is used to assign a tty line to an IrDA frame level driver.
The following operands are supported by
.Nm :
.Bl -tag -width Ar
.It Fl d Ar dongle
Sets the dongle type.  The following dongles are supported:
.Bl -tag -width actisys+
.It none
No dongle
.It tekram
Tekram IR-210B
.It jeteye
Extended Systems JetEye
.It actisys
ACTiSYS IR-220L
.It actisys+
ACTiSYS IR-220L+
.It litelink
Parallax LiteLink
.It girbil
Greenwich GIrBIL
.El
.Pp
The default is
.Dv none .
.It Fl f
Print the name of the IrDA frame device that should be used to
access the frames.
.It Fl H
Turn on DTR/CTS flow control.  By default, no flow control is done.
.It Fl h
Turn on RTS/CTS flow control.  By default, no flow control is done.
.It Fl l
Turn on the CLOCAL flag, making it possible to run SLIP on a cable
without modem control signals (e.g. DTR, DSR, DCD).
.It Fl m
Maintain modem control signals after closing the line.  Specifically,
this disables HUPCL.
.It Fl n
Do not detach from invoking tty.
.It Fl p
Print process id to file.
.It Ar ttyname
Specifies the name of the tty device.
.Ar Ttyname
should be a string of the form
.Ql ttyXX ,
or
.Ql /dev/ttyXX .
.El
.Pp
Only the super-user may attach a network interface.
.Pp
The frame driver is detached by killing the
.Nm
process.
.Sh EXAMPLES
.Bd -literal -offset indent -compact
irdaattach tty00
ircomm \-Y \-d `irdaattach \-p \-f /dev/tty02`
.Ed
.Sh DIAGNOSTICS
Messages indicating that the specified interface does not exist, the
requested address is unknown, or that the user is not privileged but
tried to alter an interface's configuration.
.Sh SEE ALSO
.Xr daemon 3 ,
.Xr irframe 4 ,
.Xr irframetty 4 ,
.Xr slattach 8
.Sh HISTORY
The
.Nm
command appeared in
.Nx 1.6 .
